/*
 * skillExplore.hpp
 *
 *  Created on: 17/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_SKILL_LOOK_TRACK_HPP_
#define VICTIMID_SKILL_LOOK_TRACK_HPP_

#include "victim_id/skill.hpp"

namespace casualty {

class VIDSkillLookTrack : public VicIdSkill {
public:
    VIDSkillLookTrack() :
        VicIdSkill("sk_look_track")
    {};
    ~VIDSkillLookTrack() {};

    void start();
    void stop();
    bool equals(VicIdSkill& skOther);

    ros::ServiceClient* lookTrackClient;    // Look At Client
    Point3D point;                          // Point to look at in any valid frame
    std::string frame;                      // Frame of the point
private:
};
typedef crosbot::Handle<VIDSkillLookTrack> VIDSkillLookTrackPtr;

} // namespace casualty

#endif /* VICTIMID_SKILL_LOOK_TRACK_HPP_ */
